MS06-027: Vulnerabilities in Microsoft Word Could Allow Remote Code Execution (917336)

high Nessus Plugin ID 21690

Synopsis

Arbitrary code can be executed on the remote host through Microsoft Word.

Description

The remote host is running a version of Microsoft Word that is subject to a flaw that could allow arbitrary code to be run.

An attacker may use this to execute arbitrary code on this host.

To succeed, the attacker would have to send a rogue file to a user of the remote computer and have it open it. Then a bug in the font parsing handler would result in code execution.

Solution

Microsoft has released a set of patches for Word 2000, XP and 2003.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityBulletins/2006/ms06-027

Plugin Details

Severity: High

ID: 21690

File Name: smb_nt_ms06-027.nasl

Version: 1.38

Type: local

Agent: windows

Published: 6/13/2006

Updated: 6/8/2022

Risk Information

VPR

Risk Factor: Critical

Score: 9.7

CVSS v2

Risk Factor: High

Base Score: 7.6

Temporal Score: 6.6

Vector: AV:N/AC:H/Au:N/C:C/I:C/A:C

Temporal Vector: E:H/RL:OF/RC:C

CVSS Score Source: CVE-2006-2492

Vulnerability Information

CPE: cpe:/a:microsoft:office, cpe:/a:microsoft:works, cpe:/a:microsoft:word, cpe:/a:microsoft:word_viewer

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 6/13/2006

Vulnerability Publication Date: 5/19/2006

CISA Known Exploited Dates: 6/22/2022

Exploitable With

CANVAS (CANVAS)

Core Impact

Reference Information

CVE: CVE-2006-2492

BID: 18037

CERT: 446012

MSFT: MS06-027

MSKB: 917334, 917335, 917336, 917345